enter_password_on_mouse_scene06_02 = {}

enter_password_on_mouse_scene06_02.params =
{
	image_number_prefix = "scenes_scene06_02_minigame_minigame01_number",	
	password = {6, 2, 1, 5, 8, 1},
	answer_pos = sf.misc.FloatVector(421, 210),
	answer_insets = 10,
	
	sound_on_click = "mini_game_mini_game_enter_password_on_mouse_button_push_01",
	
	sleep = 500.0 -- пауза перед сбрособ в случае неправильного ввода / пауза перед закрытием в случае правильного ввода
}

enter_password_on_mouse_scene06_02.Init = function(_owner)
	enter_password_on_mouse.params = enter_password_on_mouse_scene06_02.params
	enter_password_on_mouse.Init(_owner)
end

for p,v in pairs(enter_password_on_mouse) do
	if not enter_password_on_mouse_scene06_02[p] then enter_password_on_mouse_scene06_02[p] = v end
	if not enter_password_on_mouse_scene06_02[p] then enter_password_on_mouse_scene06_02[p] = v end
end
